Warning: You will not be able to preview videos within axle using Firefox. Warning: Safari 5 is out of date and does not support some key features within axle.
Axle is only compatible with HTML5 capabale browsers. We strongly recommend you log in from Chrome or Safari browsers (IE 9 and 10 are also supported).